//
//  Text.swift
//  AcaMate
//
//  Created by Sean Kim on 12/1/24.
//

import SwiftUI

protocol MultilineStyle: View {
//    func lineLimit(_ limit: Int?) -> Self
//    func minimumScaleFactor(_ scale: CGFloat) -> Self
//    func multilineTextAlignment(_ alignment: TextAlignment) -> Self
//    func truncationMode(_ mode: Text.TruncationMode) -> Self
}

extension Text: MultilineStyle {
    
}

extension MultilineStyle {
    func multilineStyle(_ alignment: TextAlignment = .leading, limit: Int = 1, scale: CGFloat = 0.5) -> some View {
        return self
            .lineLimit(limit)
            .minimumScaleFactor(scale)
            .multilineTextAlignment(alignment)
            .truncationMode(.tail)
    }
}
